<!DOCTYPE html>
<html lang="es-ES">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>Parametros Reporte Gastos por Item</title>
<link href="../../maincss.css" rel="stylesheet" type="text/css" />

<link href="../../chosen/chosen.css" rel="stylesheet" />
<link href="../../tcal.css" rel="stylesheet" type="text/css" />
<!--
<script language="javascript" src="js/jquery-1.3.min.js"></script>
-->
<script language="javascript" src="../../js/tcal.js" type="text/javascript"></script>
<script language="javascript" src="../../js/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../../chosen/chosen.jquery.js"></script>
<script language="javascript" src="../../js/validar.js"></script>

<script language="javascript">
	$(document).ready(function(){
		$("#cbx_marcaelegido1").change(function () {
			$("#cbx_marcaelegido1 option:selected").each(function () {
				marcaelegido1 = $(this).val();
				$.post("marcaelegido1.php", { marcaelegido1: marcaelegido1 }, function(data){
					$("#cbx_marcaelegido2").html(data);
				});            
			});
		})
	});
</script>

<script language="javascript">
	$(document).ready(function(){
		$("#cbx_elegido1").change(function () {

			$('#cbx_elegido3').find('option').remove().end().append('<option value="0">Todos</option>').val('0');
			$('#cbx_elegido4').find('option').remove().end().append('<option value="0">Todos</option>').val('0');
			
			$("#cbx_elegido1 option:selected").each(function () {
				elegido1 = $(this).val();
				$.post("elegido1.php", { elegido1: elegido1 }, function(data){
					$("#cbx_elegido2").html(data);
				});            
			});
		})
	});
	
	$(document).ready(function(){
		$("#cbx_elegido2").change(function () {

			$('#cbx_elegido4').find('option').remove().end().append('<option value="0">Todos</option>').val('0');

			$("#cbx_elegido2 option:selected").each(function () {
				elegido2 = $(this).val();
				$.post("elegido2.php", { elegido2: elegido2 }, function(data){
					$("#cbx_elegido3").html(data);
				});            
			});
		})
	});

	$(document).ready(function(){
		$("#cbx_elegido3").change(function () {
			$("#cbx_elegido3 option:selected").each(function () {
				elegido3 = $(this).val();
				$.post("elegido3.php", { elegido3: elegido3 }, function(data){
					$("#cbx_elegido4").html(data);
				});            
			});
		})
	});

</script>

</head>
<?php

include "../../conn.php";
include "../../general.php";
include "../../token.php";

//$usuario = $_GET["user"];

?>
<body>

<?php 

//concepto de gasto en el detalle
$result = mysqli_query($link, "select pkyExpensesConcept as codigo, fldName as gasto
from payExpensesConcept 
where 
pkyExpensesConcept <> 20 and 
sysEnabled = 1 and sysAuthorized = 1 
order by fldName;");

//concepto de egreso de mercaderia
$result4 = mysqli_query($link, "select pkyItemMovementTypeConcept as codigo, fldName as egreso
from
invItemMovementTypeConcept
where
codItemMovementType = 2 and 
fldItemControl = 1 and 
sysEnabled = 1 and sysAuthorized = 1  
order by fldName;");

//monedas para el reporte
$result1 = mysqli_query($link, "select pkyCurrency as codigo, fldName as moneda
from actCurrency
where
sysEnabled = 1 and sysAuthorized = 1;");

//tipo de documento
$result2 = mysqli_query($link, "select pkyDocumentType as codigo, fldName as dcto
from txsDocumentType 
where 
sysEnabled = 1 and sysAuthorized = 1 
order by fldName;");

//listado de items
$result3 = mysqli_query($link, "select pkyItem as cod_item, fldName as item, fldFactoryKey as cod_fabrica
from invItem
where
sysEnabled = 1 and sysAuthorized = 1
order by fldName;");

//lista contexto
$result5 = mysqli_query($link, "select pkyContext as cod_contexto, fldName as contexto, codCostCenter as cod_cc 
from srvContext
where 
sysEnabled = 1 and sysAuthorized = 1;");

?>
<table border="0" align="left" width="100%" cellpadding="5">
<tr><td><b>Empresa: <?php echo $nombre_empresa; ?><br/>NIT: <?php echo $mi_nit; ?></b>
</td><td align="right"><b>Fecha: <?php echo date("Y-m-d"); ?><br/>Hora: <?php echo date("H:i:s"); ?><br/>Usuario: <?php echo $usuario; ?><br/>F</b>
</td></tr></table><br/>
<table border="0" align="center" cellpadding="5"><tr><td colspan="2" align="center">
<b>Par&aacute;metros Reporte Gastos por Item</b></td></tr><tr><td>
<form id="miform" name="miform" method="post" action="report.php?rep=5&tipo=1" onsubmit="return Validar()">
<br/><b>Usuario: </b></td><td> <br/><input type="text" name="usuario" value="<?php echo $usuario; ?>" size="20" readonly="readonly" class="formulario" style="color:#999;">
<input type="hidden" name="token" value="<?php echo $token; ?>">
</td></tr><tr><td>

<br/><b>Item:</b></td><td> <br/><!--<SELECT NAME="item" class="formulario">-->
	<select data-placeholder="Seleccione..." class="chzn-select" style="width:450px;" NAME="item">
    <option value="0">Todos</option>
	<?php 
	while ($row = mysqli_fetch_array($result3)) {   
	?> 
	<option value="<?php echo $row['cod_item']?>"><?php echo $row['cod_item']?> - <?php echo $row['cod_fabrica']?> - <?php echo $row['item']?></option> 
	<?php 
	}  
	mysqli_free_result($result3);
	?>
    </select>    

</td></tr><tr><td>
<br/><b>Concepto de Gasto: </b></td><td><br/><!--<SELECT NAME="gasto" class="formulario">-->
	<select data-placeholder="Seleccione..." class="chzn-select" style="width:300px;" NAME="gasto">
    <option value="0">Todos</option>
    <option value="-1">Solo Concepto de Egreso (Mov. Merc.)</option>
	<?php 
	while ($row = mysqli_fetch_array($result)) {   
	?> 
	<option value="<?php echo $row['codigo']?>"><?php echo $row['codigo']?> - <?php echo $row['gasto']?></option> 
	<?php 
	}  
	mysqli_free_result($result);
	
	?>
	</select>

</td></tr><tr><td>
<br/><b>Concepto de Egreso <br />(Mov. Merc.): </b></td><td><br/><!--<SELECT NAME="gasto" class="formulario">-->
	<select data-placeholder="Seleccione..." class="chzn-select" style="width:300px;" NAME="egreso">
    <option value="0">Todos</option>
    <option value="-1">Solo Concepto de Gasto</option>
	<?php 
	while ($row = mysqli_fetch_array($result4)) {   
	?> 
	<option value="<?php echo $row['codigo']?>"><?php echo $row['codigo']?> - <?php echo $row['egreso']?></option> 
	<?php 
	}  
	mysqli_free_result($result4);
	
	?>
	</select>
</td></tr><tr><td>
<br/><b>Contexto: </b></td><td> <br/><!--<SELECT NAME="concepto_pago" class="formulario">-->
	<select data-placeholder="Seleccione..." class="chzn-select" style="width:300px;" NAME="contexto">
    <option value="-1">Todos</option>
	<?php 
	while ($row = mysqli_fetch_array($result5)) {   
	?> 
	<option value="<?php echo $row['cod_contexto']?>"><?php echo $row['cod_contexto']?> - <?php echo $row['contexto']?></option> 
	<?php 
	}  
	mysqli_free_result($result5);
	?> 
    </select>

</td></tr><tr><td>
<br/><b>Tipo de Documento: </b></td><td> <br/><!--<SELECT NAME="documento" class="formulario">-->
	<select data-placeholder="Seleccione..." class="chzn-select" style="width:300px;" NAME="documento">
    <option value="0">Todos</option>
    <option value="999">Egresos</option><!-- es 999 para que no use el primer query -->
	<?php 
	while ($row = mysqli_fetch_array($result2)) {   
	?> 
    
	<option value="<?php echo $row['codigo']?>"><?php echo $row['dcto']?></option> 
	<?php 
	}  
	mysqli_free_result($result2);
	?> 
    </select>

</td></tr><tr><td>
<br/><b>Marca: </b></td><td> <br/><!--<SELECT NAME="familia" id="cbx_marcaelegido1" class="formulario">-->
<select data-placeholder="Seleccione..." class="chzn-select" style="width:300px;" NAME="marca" id="cbx_marcaelegido1">
<?php
$query = "select pkyBrand as cod, fldName as marca 
from invBrand 
where 
sysEnabled = 1 and sysAuthorized = 1
order by fldName";
$resultado=$mysqli->query($query);
?>
<option value="0">Todos</option>
<?php while($row = $resultado->fetch_assoc()) { ?>
	<option value="<?php echo $row['cod']; ?>"><?php echo $row['cod'].' - '.$row['marca']; ?></option>
<?php } 
$resultado->close(); ?> 
</select>

</td></tr>

<tr><td width="135">
<br/><b>Modelo: </b></td><td> <br/><SELECT NAME="modelo" id="cbx_marcaelegido2" style="width:300px;" class="select-css">	
<option value="0">Todos</option>
</select>

</td></tr><tr><td>
<br/><b>Familia: </b></td><td> <br/><!--<SELECT NAME="familia" id="combo1" class="formulario">-->
	<select data-placeholder="Seleccione..." class="chzn-select" style="width:300px;" NAME="familia" id="cbx_elegido1">
	<?php 
	$query = "select pkyItemCategory as cod, fldName as categoria
	from
	invItemCategory
	where
	fldLevel = 1 and
	sysEnabled = 1 and sysAuthorized = 1 
	order by categoria";
	$resultado=$mysqli->query($query);
	?>
	<option value="0">Todos</option>
	<?php while($row = $resultado->fetch_assoc()) { ?>
		<option value="<?php echo $row['cod']; ?>"><?php echo $row['cod'].' - '.$row['categoria']; ?></option>
	<?php } 
	$resultado->close(); ?> 
	</select>

	</td></tr><tr><td>
<br/><b>Sub Familia: </b></td><td> <br/><SELECT NAME="subfamilia" id="cbx_elegido2" style="width:300px;" class="select-css">	
<option value="0">Todos</option>
</select>
</td></tr><tr><td>

<br/><b>Grupo: </b></td><td> <br/><SELECT NAME="grupo" id="cbx_elegido3" style="width:300px;" class="select-css">	
<option value="0">Todos</option>
</select>
</td></tr><tr><td>

<br/><b>Sub Grupo: </b></td><td> <br/><SELECT NAME="subgrupo" id="cbx_elegido4" style="width:300px;" class="select-css">
<option value="0">Todos</option>
</select>

</td></tr><tr><td>
<br/><b>Valorar en: </b></td><td> <br/>

<?php 
$i = 1;
while($row = mysqli_fetch_array($result1)){ 
 if($i == 1) {
 echo "<input name='otra_moneda' type='radio' checked='checked' value='".$row['codigo']."'> ".$row['moneda']."<br>";
 $i++;
 } else {
 echo "<input name='otra_moneda' type='radio' value='".$row['codigo']."'> ".$row['moneda']."<br>";
 }
}
mysqli_free_result($result1);
	
?>

</td></tr><tr><td>
<br/><b>Ordenado por: </b></td><td> <br/><input type="radio" name="orden" checked="checked" value="0" class="formulario"> Nombre
<br/><input type="radio" name="orden" value="1" class="formulario"> C&oacute;digo
<br/><input type="radio" name="orden" value="2" class="formulario"> C&oacute;digo de F&aacute;brica
<br/><input type="radio" name="orden" value="3" class="formulario"> Familia (C&oacute;digo)

</td></tr><tr><td>
<br/><b>De Fecha: </b></td><td> <br/><div><input type="text" id="fechaini" name="fechaini" value="<?php echo $fechaini_gest; ?>" length="10" maxlength="10" class="tcal" title="aaaa-mm-dd"> </div>aaaa-mm-dd
</td></tr><tr><td>
<br/><b>A Fecha: </b></td><td> <br/><div><input type="text" id="fechafin" name="fechafin" value="<?php echo $fecha_hoy; ?>" length="10" maxlength="10" class="tcal" title="aaaa-mm-dd"> </div>aaaa-mm-dd
</td></tr>
<tr><td colspan="2" align="center">
<br/><br/><INPUT TYPE="submit" VALUE="Generar Reporte" class="boton_generar"></td></tr>

<script type="text/javascript"> $(".chzn-select").chosen({no_results_text: "No se encontraron resultados con "}); $(".chzn-select-deselect").chosen({allow_single_deselect:true}); </script>
</form>
</table>

</body>
</html>
